%save('push_test_layered.mat', 'disp_save', 'disp_hard', 'disp_soft', 'force')
load('push_test_layered.mat');

disp1 = disp_save(:,1);
disp2 = disp_save(:,2);
disp3 = disp_save(:,3);
disp4 = disp_save(:,4);

figure('position', [0, 0, 1200, 1200]);
set(0,'defaultAxesFontSize',32);
set(0,'defaultTextFontSize',32);

clf;

%plot(-disp1, -force, -disp3, -force, -disp_hard, -force, '--', -disp_soft, -force, '--');
plot(-disp_hard, -force, '--', -disp3, -force, -disp1, -force, -disp_soft, -force, '--');

xlim([0,1.0]);
ylim([0,20]);
grid on;
pbaspect([1 1 1]);
xlabel('displacement (cm)');
ylabel('force (N)');

%legend('horizontally layered', 'vertically layered', 'hard', 'soft', 'Location', 'northwest');
legend('hard', 'vertically layered', 'horizontally layered', 'soft', 'Location', 'northwest');

saveas(gcf, 'push_test_layered_graph.png');
